petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetLineSearch

Gets the line search used by the optimization solver. Application writers should use TaoGetLineSearch if they need direct access to the TaoLineSearch object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetLineSearch(Tao tao, TaoLineSearch *ls)

Not Collective Many br

### Input Parameters

tao -the TAO solver Many br

### Output Parameters

ls -the line search used in the optimization solver Many br

Many br

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages